Bug 848398 - remove special restrictions on Windows templates names
remove special restrictions on Windows templates names
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: 3.2.0
Assigned To: Michal Skrivanek
Depends On:
Blocks: 915537
  Show dependency treegraph
Reported: 2012-08-15 09:34 EDT by David Jaša
Modified: 2013-06-10 17:08 EDT (History)
11 users (show)

See Also:
Fixed In Version: SF4
Doc Type: Bug Fix
Doc Text:
There was a restriction of 15 characters when naming Windows templates. Using a name of more than 15 characters would generate an error. As there was no reason for this restriction, the template names can now be up to 40 characters long.
Story Points: ---
Clone Of:
Last Closed: 2013-06-10 17:08:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 11152 None None None Never

  None (edit)
Description David Jaša 2012-08-15 09:34:04 EDT
Description of problem:
remove special restrictions on Windows templates names.

The reasoning behind windows VM name restrictions is their drop-in usability as DNS Host Name within AD setups - but template itself is never used as such so there is no gain by enforcing the restrictions on them.

Version-Release number of selected component (if applicable):
3.1.0-11.el6ev / si13.2

How reproducible:

Steps to Reproduce:
1. rename a windows template with 16-64 character long name
Actual results:
rhev-m complains about length

Expected results:
rhev-m should accept such name

Additional info:
Comment 1 Libor Spevak 2013-01-17 09:38:39 EST

Fixed validation of create/edit template name validation.
VM name is restricted to 15 characters for Windows host, 64 characters for other hosts. VM template name is max. 40 characters long.
Comment 2 Libor Spevak 2013-01-17 09:39:26 EST
Comment 3 Libor Spevak 2013-01-20 09:02:47 EST
Change-Id: Id7bb03dea4c6030a485f0d60d775dd308c4c7155
Comment 4 Libor Spevak 2013-01-21 06:10:30 EST
Comment 9 errata-xmlrpc 2013-06-10 17:08:57 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.